Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/views/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/views/CorporaView.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/views/CorporaView.java	(revision 137)
@@ -63,17 +63,16 @@
 import org.eclipse.ui.internal.Workbench;
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
+import org.txm.ca.core.functions.CA;
+import org.txm.cah.core.functions.CAH;
 import org.txm.functions.Function;
 import org.txm.functions.TXMResult;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
 import org.txm.functions.concordances.Concordance;
 import org.txm.functions.cooccurrences.Cooccurrence;
 import org.txm.functions.index.Index;
 import org.txm.functions.internal.InternalView;
 //import org.txm.functions.queryindex.QueryIndex;
 import org.txm.functions.referencer.Referencer;
-import org.txm.functions.specificities.SpecificitesResult;
 import org.txm.objects.Project;
 import org.txm.objects.Workspace;
 import org.txm.rcpapplication.Messages;
@@ -82,13 +81,10 @@
 import org.txm.rcpapplication.TextometrieLabelProvider;
 import org.txm.rcpapplication.commands.base.DeleteObject;
 import org.txm.rcpapplication.commands.editor.CustomizableEditor;
-import org.txm.rcpapplication.commands.function.ComputeCAH;
-import org.txm.rcpapplication.editors.ca.CaEditor;
 import org.txm.rcpapplication.editors.cooccurrences.CooccurrencesEditor;
 import org.txm.rcpapplication.editors.index.IndexEditor;
 import org.txm.rcpapplication.editors.input.ConcordancesEditorInput;
 import org.txm.rcpapplication.editors.input.CooccurrenceEditorInput;
-import org.txm.rcpapplication.editors.input.CorrespondanceAnalysisEditorInput;
 import org.txm.rcpapplication.editors.input.IndexEditorInput;
 import org.txm.rcpapplication.editors.input.InternalViewEditorInput;
 import org.txm.rcpapplication.editors.input.LexicalTableEditorInput;
@@ -102,6 +98,7 @@
 import org.txm.searchengine.cqp.corpus.Lexicon;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Partition;
+import org.txm.specificities.core.functions.SpecificitesResult;
 import org.txm.stat.data.LexicalTable;
 import org.txm.utils.logger.Log;
 // TODO: Auto-generated Javadoc
@@ -464,58 +461,58 @@
 					} catch (PartInitException e) {
 						System.err.println(Messages.CorporaView_6+ e);
 					}
-				} else if (selectedItem instanceof CA) {
-					CA ca = (CA) selectedItem;
-					CorrespondanceAnalysisEditorInput editorInput = new CorrespondanceAnalysisEditorInput(ca, ca.getPartition(), ca.getAnalysisProperty());
-					IWorkbenchPage page = getSite().getWorkbenchWindow().getActivePage();
-					try {
-						CaEditor editor = (CaEditor) page.openEditor(editorInput,"org.txm.rcpapplication.editors.ca.CaEditor"); //$NON-NLS-1$
-						editor.refreshGraphEditor();
-						// FIXME: to remove when charts engine will be validated
-						//IEditorPart editor2 = page.openEditor(editorInput, "org.txm.rcpapplication.editors.ca.FactorialMapEditor"); //$NON-NLS-1$
-					} catch (PartInitException e) {
-						org.txm.rcpapplication.utils.Logger.printStackTrace(e);
-					} 
-				}
-				else if (selectedItem instanceof CAH) {
-
-					IHandlerService handlerService = (IHandlerService) getSite().getService(IHandlerService.class);
-					try {
-						handlerService.executeCommand(ComputeCAH.ID, null);
-					}
-					catch (Exception e) {
-						e.printStackTrace();
-					}
-
-					// FIXME: to remove when charts engine will be validated
-					//					CAH cah = (CAH) selectedItem;
-					//					try {
-					//						// System.out.println("run syncexec");
-					//						String txmhome = Toolbox.getParam(Toolbox.USER_TXM_HOME);
-					//						System.out.println("CorporaView.createPartControl(...).new IDoubleClickListener() {...}.doubleClick(): " + RDevice.SVG.toString().toUpperCase());
-					//						RDevice device = RDevice.valueOf(TxmPreferences.getString(ExportPreferencePage.RDEVICE, RDevice.SVG.toString()).toUpperCase());
-					//						File resultDir = new File(txmhome, "results"); //$NON-NLS-1$
-					//						resultDir.mkdirs();
-					//						File svgfile = File.createTempFile("cah", device.getExt(), resultDir); //$NON-NLS-1$
-					//						if(!svgfile.canWrite())
-					//						{
-					//							System.out.println(NLS.bind(Messages.CorporaView_9, svgfile));
-					//							return;
-					//						}
-					//
-					//						cah.toSVG(svgfile, device);
-					//						StatusLine.setMessage(""); //$NON-NLS-1$
-					//						IEditorPart editor = OpenGraph.OpenFile(svgfile, device, cah.getPartition().getName()+": "+cah.getName(), IImageKeys.ACTION_CAH); //$NON-NLS-1$
-					//						if (editor != null && editor instanceof CustomizableEditor) 
-					//						{
-					//							CustomizableEditor ceditor = (CustomizableEditor) editor;
-					//							ceditor.setName(cah.getName());
-					//							ceditor.setIcon(IImageKeys.getImage(IImageKeys.ACTION_CAH));
-					//							ceditor.setSource(cah);
-					//						}
-					//					} catch (Exception e) {
-					//						org.txm.rcpapplication.utils.Logger.printStackTrace(e);
-					//					}
+//				} else if (selectedItem instanceof CA) {
+//					CA ca = (CA) selectedItem;
+//					CorrespondanceAnalysisEditorInput editorInput = new CorrespondanceAnalysisEditorInput(ca, ca.getPartition(), ca.getAnalysisProperty());
+//					IWorkbenchPage page = getSite().getWorkbenchWindow().getActivePage();
+//					try {
+//						CaEditor editor = (CaEditor) page.openEditor(editorInput,"org.txm.rcpapplication.editors.ca.CaEditor"); //$NON-NLS-1$
+//						editor.refreshGraphEditor();
+//						// FIXME: to remove when charts engine will be validated
+//						//IEditorPart editor2 = page.openEditor(editorInput, "org.txm.rcpapplication.editors.ca.FactorialMapEditor"); //$NON-NLS-1$
+//					} catch (PartInitException e) {
+//						org.txm.rcpapplication.utils.Logger.printStackTrace(e);
+//					} 
+//				}
+//				else if (selectedItem instanceof CAH) {
+//
+//					IHandlerService handlerService = (IHandlerService) getSite().getService(IHandlerService.class);
+//					try {
+//						handlerService.executeCommand(ComputeCAH.ID, null);
+//					}
+//					catch (Exception e) {
+//						e.printStackTrace();
+//					}
+//
+//					// FIXME: to remove when charts engine will be validated
+//					//					CAH cah = (CAH) selectedItem;
+//					//					try {
+//					//						// System.out.println("run syncexec");
+//					//						String txmhome = Toolbox.getParam(Toolbox.USER_TXM_HOME);
+//					//						System.out.println("CorporaView.createPartControl(...).new IDoubleClickListener() {...}.doubleClick(): " + RDevice.SVG.toString().toUpperCase());
+//					//						RDevice device = RDevice.valueOf(TxmPreferences.getString(ExportPreferencePage.RDEVICE, RDevice.SVG.toString()).toUpperCase());
+//					//						File resultDir = new File(txmhome, "results"); //$NON-NLS-1$
+//					//						resultDir.mkdirs();
+//					//						File svgfile = File.createTempFile("cah", device.getExt(), resultDir); //$NON-NLS-1$
+//					//						if(!svgfile.canWrite())
+//					//						{
+//					//							System.out.println(NLS.bind(Messages.CorporaView_9, svgfile));
+//					//							return;
+//					//						}
+//					//
+//					//						cah.toSVG(svgfile, device);
+//					//						StatusLine.setMessage(""); //$NON-NLS-1$
+//					//						IEditorPart editor = OpenGraph.OpenFile(svgfile, device, cah.getPartition().getName()+": "+cah.getName(), IImageKeys.ACTION_CAH); //$NON-NLS-1$
+//					//						if (editor != null && editor instanceof CustomizableEditor) 
+//					//						{
+//					//							CustomizableEditor ceditor = (CustomizableEditor) editor;
+//					//							ceditor.setName(cah.getName());
+//					//							ceditor.setIcon(IImageKeys.getImage(IImageKeys.ACTION_CAH));
+//					//							ceditor.setSource(cah);
+//					//						}
+//					//					} catch (Exception e) {
+//					//						org.txm.rcpapplication.utils.Logger.printStackTrace(e);
+//					//					}
 				} else if (selectedItem instanceof Function) {
 					((Function)selectedItem).openEditor();
 				}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/views/cmdparameters/ParametersView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/views/cmdparameters/ParametersView.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/views/cmdparameters/ParametersView.java	(revision 137)
@@ -36,9 +36,8 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.part.EditorPart;
 import org.eclipse.ui.part.ViewPart;
-import org.txm.functions.specificities.SpecificitesResult;
+import org.txm.ca.rcp.editors.CAEditor;
 import org.txm.rcpapplication.commands.editor.CustomizableEditor;
-import org.txm.rcpapplication.editors.ca.CaEditor;
 import org.txm.rcpapplication.editors.concordances.ConcordancesEditor;
 import org.txm.rcpapplication.editors.cooccurrences.CooccurrencesEditor;
 import org.txm.rcpapplication.editors.index.IndexEditor;
@@ -104,7 +103,7 @@
 			currentEditorLabel.setText("Index "+editor.getTitle()+":\n\tquery\n\tproperty\n\tsort\n\t...");
 		} else if (editor instanceof CooccurrencesEditor) {
 			currentEditorLabel.setText("Cooccurences "+editor.getTitle()+":\n\tquery\n\tproperty\n\tsort\n\t...");
-		} else if (editor instanceof CaEditor) {
+		} else if (editor instanceof CAEditor) {
 			currentEditorLabel.setText("CaEditor "+editor.getTitle()+":\n\tquery\n\tproperty\n\tsort\n\t...");
 		} else if (editor instanceof ReferencerEditor) {
 			currentEditorLabel.setText("References "+editor.getTitle()+":\n\tquery\n\tproperty\n\tsort\n\t...");
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/base/SendToR.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/base/SendToR.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/base/SendToR.java	(revision 137)
@@ -42,17 +42,16 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.internal.Workbench;
-import org.txm.functions.ca.CA;
+import org.txm.ca.core.functions.CA;
+import org.txm.ca.rcp.editors.CAEditor;
 import org.txm.functions.concordances.Concordance;
 import org.txm.functions.cooccurrences.Cooccurrence;
 import org.txm.functions.index.Index;
-import org.txm.functions.progression.Progression;
 import org.txm.functions.referencer.Referencer;
-import org.txm.functions.specificities.SpecificitesResult;
+import org.txm.progression.core.functions.Progression;
 import org.txm.rcpapplication.JobsTimer;
 import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.commands.editor.CustomizableEditor;
-import org.txm.rcpapplication.editors.ca.CaEditor;
 import org.txm.rcpapplication.editors.concordances.ConcordancesEditor;
 import org.txm.rcpapplication.editors.cooccurrences.CooccurrencesEditor;
 import org.txm.rcpapplication.editors.index.IndexEditor;
@@ -63,6 +62,7 @@
 import org.txm.rcpapplication.views.RVariablesView;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Lexicon;
+import org.txm.specificities.core.functions.SpecificitesResult;
 import org.txm.specificities.rcp.editors.SpecificitiesTableEditor;
 import org.txm.stat.data.LexicalTable;
 import org.txm.stat.data.Vector;
@@ -218,8 +218,8 @@
 					for(IEditorReference editorref : page.getEditorReferences())
 					{
 						IEditorPart editor = editorref.getEditor(false);
-						if (editor instanceof CaEditor)
-							if (o.equals(((CaEditor)editor).getCA()))
+						if (editor instanceof CAEditor)
+							if (o.equals(((CAEditor)editor).getCA()))
 								editor.getEditorSite().getPage().closeEditor(editor, true);
 					}
 				}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ExportSVG.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ExportSVG.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ExportSVG.java	(revision 137)
@@ -41,24 +41,27 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
-import org.txm.core.chartsengine.r.__RDevice;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
-import org.txm.functions.progression.Progression;
+import org.txm.cah.core.functions.CAH;
+import org.txm.cah.core.preferences.CAHPreferences;
+import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.chartsengine.r.core.RChartsEngine;
+import org.txm.progression.core.functions.Progression;
+import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.rcpapplication.JobsTimer;
 import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.StatusLine;
 import org.txm.rcpapplication.TxmPreferences;
 import org.txm.rcpapplication.editors.SVGGraphicEditor;
-import org.txm.rcpapplication.editors.ca.CaEditor;
 import org.txm.rcpapplication.preferences.ExportPreferencePage;
 import org.txm.rcpapplication.swt.dialog.LastOpened;
 import org.txm.rcpapplication.views.CorporaView;
+import org.txm.stat.engine.r.RDevice;
 import org.txm.utils.FileCopy;
 
 /**
  * save the SVG file selected @ author mdecorde.
  */
+@Deprecated
 public class ExportSVG extends AbstractHandler {
 
 	private static final String ID = "org.txm.rcpapplication.commands.function.ExportSVG"; //$NON-NLS-1$
@@ -80,7 +83,7 @@
 					.getActivePage().getActivePart();
 
 			String prefDevice = TxmPreferences.getString(ExportPreferencePage.RDEVICE, "SVG"); //$NON-NLS-1$
-			__RDevice device = __RDevice.valueOf(prefDevice.toUpperCase());
+			RDevice device = RDevice.valueOf(prefDevice.toUpperCase());
 			System.out.println(NLS.bind(Messages.ExportSVG_2, device));
 
 			new File(txmhome, "results").mkdir(); //$NON-NLS-1$
@@ -89,26 +92,20 @@
 			if (page instanceof SVGGraphicEditor) {
 				SVGGraphicEditor te = (SVGGraphicEditor) page;
 				svgSourceFile = te.getSVGFile();
-				device = __RDevice.SVG;
-			} else if (page instanceof CaEditor) {
-				CaEditor ed = (CaEditor) page;
-				SVGGraphicEditor svged = ed.getSVGGraphicEditor();
-				if (svged != null) {
-					svgSourceFile = svged.getSVGFile();
-					device = __RDevice.SVG;
-				}
+				device = RDevice.SVG;
 			} else if (page instanceof CorporaView) {
 				CorporaView view = (CorporaView) page;
 				StructuredSelection sel = (StructuredSelection) view.getTreeViewer().getSelection();
 				Object obj = sel.getFirstElement();
 				//System.out.println("sel: "+obj);
 				if (obj instanceof CAH) {
-						((CAH)obj).toSVG(svgSourceFile, device);
-				} else if (obj instanceof CA) {
-						((CA)obj).toSVGFactorialMap(svgSourceFile, device);
-				} else if (obj instanceof Progression) {
-						((Progression)obj).toSvg(svgSourceFile, device);
+					ChartsEngine.getChartsEngine(RChartsEngine.class).getChartCreator(CAH.class).createChartFile(obj, svgSourceFile, CAHPreferences.PREFERENCES_NODE);
+//						((CAH)obj).toSVG(svgSourceFile, device);
 				}
+				else if (obj instanceof Progression) {
+					ChartsEngine.getChartsEngine(RChartsEngine.class).getChartCreator(Progression.class).createChartFile(obj, svgSourceFile, ProgressionPreferences.PREFERENCES_NODE);
+//						((Progression)obj).toSvg(svgSourceFile, device);
+				}
 			}
 
 			if (svgSourceFile != null && svgSourceFile.exists()) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeLexicalTable.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeLexicalTable.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/function/ComputeLexicalTable.java	(revision 137)
@@ -42,19 +42,13 @@
 import org.eclipse.jface.viewers.LabelProvider;
 import org.eclipse.jface.window.Window;
 import org.eclipse.osgi.util.NLS;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.layout.GridData;
-import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Control;
-import org.eclipse.swt.widgets.Label;
-import org.eclipse.swt.widgets.Shell;
-import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.dialogs.ListDialog;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
+import org.txm.ca.core.preferences.CAPreferences;
 import org.txm.functions.LexicalTableAble;
 //import org.txm.functions.queryindex.QueryIndex;
 import org.txm.functions.index.Index;
@@ -64,16 +58,11 @@
 import org.txm.rcpapplication.TxmPreferences;
 import org.txm.rcpapplication.actions.LexicalTableDialog;
 import org.txm.rcpapplication.editors.input.LexicalTableEditorInput;
-import org.txm.rcpapplication.preferences.CAPreferencePage;
 import org.txm.rcpapplication.preferences.LexicalTablePreferencePage;
-import org.txm.rcpapplication.swt.dialog.PropertySelector;
 import org.txm.rcpapplication.utils.JobHandler;
-import org.txm.rcpapplication.utils.Logger;
 import org.txm.rcpapplication.views.CorporaView;
 import org.txm.rcpapplication.views.QueriesView;
 import org.txm.rcpapplication.views.RVariablesView;
-import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
-import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.stat.data.LexicalTable;
@@ -256,7 +245,7 @@
 		LexicalTableDialog d = new LexicalTableDialog(window.getShell(), partition
 				.getCorpus(), title);
 		d.setFminAndVMax(TxmPreferences.getInt(LexicalTablePreferencePage.FMIN, 10), 
-				TxmPreferences.getInt(CAPreferencePage.VMAX, 200));
+				TxmPreferences.getInt(CAPreferences.V_MAX, 200));
 		
 		if (d.open() == Window.OK) {
 			property = d.getProperty();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/OpenTXMUserPreferences.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/OpenTXMUserPreferences.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/OpenTXMUserPreferences.java	(revision 137)
@@ -42,7 +42,6 @@
 import org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog;
 import org.txm.progression.rcp.preferences.ProgressionPreferencePage;
 import org.txm.rcpapplication.Messages;
-import org.txm.rcpapplication.preferences.CAPreferencePage;
 import org.txm.rcpapplication.preferences.ConcordancerPreferencePage;
 import org.txm.rcpapplication.preferences.CoocPreferencePage;
 import org.txm.rcpapplication.preferences.DiagnosticPreferencePage;
@@ -82,7 +81,7 @@
 		
 		IPreferenceNode concordanceNode = new PreferenceNode(ConcordancerPreferencePage.ID, new ConcordancerPreferencePage());
 		IPreferenceNode cooccurrencesNode = new PreferenceNode(CoocPreferencePage.ID, new CoocPreferencePage());
-		IPreferenceNode caNode = new PreferenceNode(CAPreferencePage.ID, new CAPreferencePage());
+//		IPreferenceNode caNode = new PreferenceNode(CAPreferencePage.ID, new CAPreferencePage());
 		IPreferenceNode informationsNode = new PreferenceNode(DiagnosticPreferencePage.ID, new DiagnosticPreferencePage());
 		IPreferenceNode exportNode = new PreferenceNode(ExportPreferencePage.ID, new ExportPreferencePage());
 		IPreferenceNode languageNode = new PreferenceNode(LocalePreferencePage.ID, new LocalePreferencePage());
@@ -93,7 +92,7 @@
 
 		userNode.add(concordanceNode);
 		userNode.add(cooccurrencesNode);
-		userNode.add(caNode);
+//		userNode.add(caNode);
 		userNode.add(informationsNode);
 		userNode.add(exportNode);
 		userNode.add(languageNode);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/tests/TestCommands.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/tests/TestCommands.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/commands/tests/TestCommands.java	(revision 137)
@@ -40,24 +40,22 @@
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.IStatus;
 import org.eclipse.core.runtime.Status;
-import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
+import org.txm.ca.core.functions.CA;
+import org.txm.cah.core.functions.CAH;
+import org.txm.cah.core.preferences.CAHPreferences;
+import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.chartsengine.r.core.RChartsEngine;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.doc.Zip;
-import org.txm.functions.Reference;
 import org.txm.functions.ReferencePattern;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
 import org.txm.functions.concordances.Concordance;
 import org.txm.functions.cooccurrences.Cooccurrence;
 import org.txm.functions.diagnostic.Diagnostic;
 import org.txm.functions.index.Index;
-import org.txm.functions.progression.Progression;
-import org.txm.functions.specificities.Specificites;
-import org.txm.functions.specificities.SpecificitesResult;
+import org.txm.progression.core.functions.Progression;
 import org.txm.rcpapplication.JobsTimer;
-import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.utils.JobHandler;
-import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.Lexicon;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -68,6 +66,8 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.specificities.core.functions.Specificites;
+import org.txm.specificities.core.functions.SpecificitesResult;
 import org.txm.stat.data.LexicalTable;
 import org.txm.utils.DeleteDir;
 
@@ -193,9 +193,9 @@
 					
 					monitor.subTask("PROGRESSION: no structures queries="+query1+" "+query2);
 					Progression rep = new Progression(corpus, Arrays.asList(query1, query2), null,
-							null, null, true, false, false, 1, false, 1.0f);
+							null, null, true, 1, false, 1.0f);
 					rep.process();
-					rep.toSvg(new File(outDir, "progression_acc.svg"));
+					ChartsEngine.getChartsEngine(RChartsEngine.class).createChartFile(rep, new File(outDir, "progression_acc.svg"), ChartsEngine.OUTPUT_FORMAT_SVG);
 					
 					monitor.worked(2); if (monitor.isCanceled()) return Status.CANCEL_STATUS;
 					
@@ -350,7 +350,8 @@
 					monitor.worked(5); if (monitor.isCanceled()) return Status.CANCEL_STATUS;
 					
 					monitor.subTask("PARTITION-AFC-CAH");
-					CAH cah = new CAH(partition_ca, true, CAH.getDefaultMethod(), CAH.getDefaultMetric(), 5, true);
+					CAH cah = new CAH(partition_ca, true, TXMPreferences.getString(CAHPreferences.PREFERENCES_NODE,  CAHPreferences.METHOD),
+							TXMPreferences.getString(CAHPreferences.PREFERENCES_NODE,  CAHPreferences.METRIC), 5);
 					cah.stepCompute();
 					cah.toTxt(new File(outDir, "partition_afc_cah.csv"), "UTF-8");
 					
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/preferences/ExportPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/preferences/ExportPreferencePage.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/preferences/ExportPreferencePage.java	(revision 137)
@@ -40,7 +40,6 @@
 import org.eclipse.ui.IWorkbenchPreferencePage;
 import org.eclipse.ui.preferences.ScopedPreferenceStore;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
-import org.txm.core.chartsengine.r.__RDevice;
 import org.txm.rcpapplication.Application;
 import org.txm.rcpapplication.Messages;
 import org.txm.rcpapplication.TxmPreferences;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/IImageKeys.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/IImageKeys.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/IImageKeys.java	(revision 137)
@@ -239,8 +239,7 @@
 	 */
 	public static Image getImage(String imagekey) {
 		if (!images.containsKey(imagekey))
-			images.put(imagekey, new Image(null, AbstractUIPlugin.imageDescriptorFromPlugin(Application.PLUGIN_ID, imagekey)
-					.getImageData()));
+			images.put(imagekey, new Image(null, AbstractUIPlugin.imageDescriptorFromPlugin(Application.PLUGIN_ID, imagekey).getImageData()));
 		return images.get(imagekey);
 	}
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/swt/dialog/PropertySelector.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/swt/dialog/PropertySelector.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/swt/dialog/PropertySelector.java	(revision 137)
@@ -40,6 +40,7 @@
 import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
+import org.txm.ca.rcp.messages.CAUIMessages;
 import org.txm.rcpapplication.Messages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -137,7 +138,7 @@
 			anaPropLabel.setText(mess);
 		else
 			anaPropLabel
-					.setText(Messages.ComputeCorrespondanceAnalysisDialog_1);
+					.setText(CAUIMessages.ComputeCorrespondanceAnalysisDialog_1);
 		anaPropLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 				false, false));
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/Messages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/Messages.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcpapplication/Messages.java	(revision 137)
@@ -2,7 +2,7 @@
 package org.txm.rcpapplication;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.core.messages.TXMMessages;
+import org.txm.core.messages.TXMCoreMessages;
 
 public class Messages extends NLS {
 	
@@ -165,16 +165,6 @@
 	public static String CAHPreferencePage_3;
 	public static String CAHPreferencePage_4;
 	public static String CANT_CREATE_GRAPHIC;
-	public static String CAPreferencePage_0;
-	public static String CAPreferencePage_1;
-
-	public static String CAPreferencePage_2;
-	public static String CAPreferencePage_3;
-	public static String CAPreferencePage_4;
-	public static String CAPreferencePage_5;
-	public static String CAPreferencePage_6;
-	public static String CAPreferencePage_7;
-	public static String CAPreferencePage_8;
 	public static String CQPPreferenceInitializer_0;
 	public static String CQPPreferenceInitializer_1;
 	public static String CQPPreferencePage_0;
@@ -221,18 +211,6 @@
 	public static String ComplexSubcorpusPanel_2;
 	public static String ComplexSubcorpusPanel_4;
 	public static String ComplexSubcorpusPanel_5;
-	public static String ComputeCAH_0;
-	public static String ComputeCAH_1;
-	public static String ComputeCAH_2;
-	public static String ComputeCAH_3;
-
-	public static String ComputeCAH_4;
-
-	public static String ComputeCAH_5;
-
-	public static String ComputeCAH_6;
-	public static String ComputeClassification_5;
-	public static String ComputeClassification_6;
 	public static String ComputeConcordance_0;
 	public static String ComputeConcordance_1;
 	public static String ComputeCoocFromLines_0;
@@ -251,22 +229,6 @@
 	public static String ComputeCooccurrences_1;
 
 	public static String ComputeCooccurrences_2;
-	public static String ComputeCorrespondanceAnalysisDialog_0;
-	public static String ComputeCorrespondanceAnalysisDialog_1;
-	public static String ComputeCorrespondanceAnalysisDialog_2;
-	public static String ComputeCorrespondanceAnalysis_0;
-	public static String ComputeCorrespondanceAnalysis_1;
-	public static String ComputeCorrespondanceAnalysis_13;
-	public static String ComputeCorrespondanceAnalysis_14;
-	public static String ComputeCorrespondanceAnalysis_15;
-	public static String ComputeCorrespondanceAnalysis_16;
-	public static String ComputeCorrespondanceAnalysis_17;
-
-	public static String ComputeCorrespondanceAnalysis_2;
-	public static String ComputeCorrespondanceAnalysis_3;
-	public static String ComputeCorrespondanceAnalysis_4;
-	public static String ComputeCorrespondanceAnalysis_6;
-	public static String ComputeCorrespondanceAnalysis_8;
 	public static String ComputeFrequencyList_2;
 	public static String ComputeIndexFromLines_0;
 
@@ -617,20 +579,6 @@
 	public static String CorpusPage_92;
 
 	public static String CorpusPage_93;
-	public static String CorrespondanceAnalysisEditorInput_0;
-	public static String CorrespondanceAnalysisEditorInput_1;
-	public static String CorrespondanceAnalysisEditorInput_11;
-	public static String CorrespondanceAnalysisEditorInput_10;
-	public static String CorrespondanceAnalysisEditorInput_2;
-	public static String CorrespondanceAnalysisEditorInput_26;
-	public static String CorrespondanceAnalysisEditorInput_27;
-	public static String CorrespondanceAnalysisEditorInput_29;
-	public static String CorrespondanceAnalysisEditorInput_3;
-	public static String CorrespondanceAnalysisEditorInput_30;
-	public static String CorrespondanceAnalysisEditorInput_4;
-	public static String CorrespondanceAnalysisEditorInput_5;
-	public static String CorrespondanceAnalysisEditorInput_8;
-	public static String CorrespondanceAnalysisEditorInput_9;
 	public static String CreateFile_1;
 	public static String CreateFolder_1;
 	public static String CreateFrequencyList_8;
@@ -1383,7 +1331,7 @@
 	
 	static {
 		// initialize resource bundle
-		TXMMessages.initializeMessages(BUNDLE_NAME, Messages.class);
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, Messages.class);
 		//NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/chartsengine/base/messages/___SWTComponentsProviderMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/chartsengine/base/messages/___SWTComponentsProviderMessages.java	(revision 136)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/chartsengine/base/messages/___SWTComponentsProviderMessages.java	(revision 137)
@@ -19,13 +19,6 @@
 	public static String ChartsEngineSharedPreferencePage_CHARTS_RENDERING_DEFAULT_PREFERENCES;
 	
 	
-	public static String SWTChartsComponentProvider_CA_TOOLBAR_AXES_SELECTION_COMBO_BOX_LABEL;
-	public static String SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_COLUMS_LABEL;
-	public static String SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_COLUMS_TOOLTIP;
-	public static String SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_ROWS_LABEL;
-	public static String SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_ROWS_TOOLTIP;
-
-	
 	public static String SWTChartsComponentProvider_CAH_TOOLBAR_BUTTON_NUMBER_OF_CLUSTERS;
 
 	public static String SWTChartsComponentProvider_SHARED_SEND_SELECTION_TO_CONCORDANCE;
